Package org.etsi.uri._01903.v1_3

# Class QualifyingProperties

java.lang.Object
org.etsi.uri._01903.v1_3.QualifyingProperties

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:08:50+02:00", comments="JAXB RI v4.0.5") public class QualifyingProperties extends Object implements Serializable

Java class for QualifyingPropertiesType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="QualifyingPropertiesType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="SignedProperties" type="{http://uri.etsi.org/01903/v1.3.2#}SignedPropertiesType" minOccurs="0"/>
             <element name="UnsignedProperties" type="{http://uri.etsi.org/01903/v1.3.2#}UnsignedPropertiesType" minOccurs="0"/>
           </sequence>
           <attribute name="Target" use="required" type="{http://www.w3.org/2001/XMLSchema}anyURI" />
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `QualifyingProperties()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Gets the value of the id property.
  `SignedProperties`
  `getSignedProperties()`
  Gets the value of the signedProperties property.
  `String`
  `getTarget()`
  Gets the value of the target property.
  `UnsignedProperties`
  `getUnsignedProperties()`
  Gets the value of the unsignedProperties property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setSignedProperties(SignedProperties value)`
  Sets the value of the signedProperties property.
  `void`
  `setTarget(String value)`
  Sets the value of the target property.
  `void`
  `setUnsignedProperties(UnsignedProperties value)`
  Sets the value of the unsignedProperties property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### QualifyingProperties

    public QualifyingProperties()

- ## Method Details

  - ### getSignedProperties

    public SignedProperties getSignedProperties()
    Gets the value of the signedProperties property.
    Returns:
      possible object is `SignedProperties`

  - ### setSignedProperties

    public void setSignedProperties(SignedProperties value)
    Sets the value of the signedProperties property.
    Parameters:
      `value` - allowed object is `SignedProperties`

  - ### getUnsignedProperties

    public UnsignedProperties getUnsignedProperties()
    Gets the value of the unsignedProperties property.
    Returns:
      possible object is `UnsignedProperties`

  - ### setUnsignedProperties

    public void setUnsignedProperties(UnsignedProperties value)
    Sets the value of the unsignedProperties property.
    Parameters:
      `value` - allowed object is `UnsignedProperties`

  - ### getTarget

    public String getTarget()
    Gets the value of the target property.
    Returns:
      possible object is `String`

  - ### setTarget

    public void setTarget(String value)
    Sets the value of the target property.
    Parameters:
      `value` - allowed object is `String`

  - ### getId

    public String getId()
    Gets the value of the id property.
    Returns:
      possible object is `String`

  - ### setId

    public void setId(String value)
    Sets the value of the id property.
    Parameters:
      `value` - allowed object is `String`